From: Martin Kepplinger <martin.kepplinger@puri.sm>
Date: Thu, 28 Sep 2023 08:28:05 +0200
Subject: s5k3l6xx: switch to probe()

---
 drivers/media/i2c/s5k3l6xx.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/drivers/media/i2c/s5k3l6xx.c b/drivers/media/i2c/s5k3l6xx.c
index f23f97a..28ea263 100644
--- a/drivers/media/i2c/s5k3l6xx.c
+++ b/drivers/media/i2c/s5k3l6xx.c
@@ -1561,7 +1561,7 @@ static struct i2c_driver s5k3l6xx_i2c_driver = {
 		.of_match_table = s5k3l6xx_of_match,
 		.name = S5K3L6XX_DRIVER_NAME
 	},
-	.probe_new	= s5k3l6xx_probe,
+	.probe		= s5k3l6xx_probe,
 	.remove		= s5k3l6xx_remove,
 	.id_table	= s5k3l6xx_id,
 };
